CVE-2001-0743
CVSS5.0
发布时间 :2001-10-18 00:00:00
修订时间 :2008-09-05 16:24:49
NMCOES    

[原文]Paging function in O'Reilly WebBoard Pager 4.10 allows remote attackers to cause a denial of service via a message with an escaped ' character followed by JavaScript commands.


[CNNVD]O'Reilly WebBoard Pager Hostile JavaScript漏洞(CNNVD-200110-068)

        O'Reilly WebBoard Pager 4.10版本的Paging函数存在漏洞。远程攻击者借助带有后缀JavaScript命令的逃脱'字符的消息导致服务拒绝。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0743
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0743
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200110-068
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2814
(VENDOR_ADVISORY)  BID  2814
http://archives.neohapsis.com/archives/bugtraq/2001-05/0326.html
(VENDOR_ADVISORY)  BUGTRAQ  20010602 O'Reilly WebBoard 4.10.30 JavaScript code execution problem

- 漏洞信息

O'Reilly WebBoard Pager Hostile JavaScript漏洞
中危 输入验证
2001-10-18 00:00:00 2005-10-20 00:00:00
远程  
        O'Reilly WebBoard Pager 4.10版本的Paging函数存在漏洞。远程攻击者借助带有后缀JavaScript命令的逃脱'字符的消息导致服务拒绝。

- 公告与补丁

        WebBoard is no longer supported by O'Reilly, it is currently maintained by ChatSpace, Inc.
        ChatSpace has released version 4.2 which is not vulnerable to this issue:
        OReilly Software WebBoard 4.10.30
        

- 漏洞信息 (20896)

OReilly Software WebBoard 4.10.30 Pager Hostile JavaScript Vulnerability (EDBID:20896)
windows remote
2001-06-02 Verified
0 Helmuth Antholzer
N/A [点击下载]
source: http://www.securityfocus.com/bid/2814/info

O'Reilly WebBoard is a conferencing utility, forum, threaded discussion and real-time chat server.

Versions of WebBoard are vulnerable to a JavaScript code execution bug which may allow a remote denial of service against a target WebBoard user's system.

An attacker can compose a message in WebBoard's interactive messaging (paging) function, containing certain escape characters and JavaScript commands, and send the page to a target user. Upon receiving the message, the target client will improperly execute the JavaScript embedded in the page, which could result in the appearance of multiple message windows.

WebBoard is no longer supported by O'Reilly, it is currently maintained by ChatSpace, Inc. 

An example of malicious javascript:

\');for(i=0;i<100000;i++) alert("not nice"); / 		

- 漏洞信息

13961
OReilly WebBoard Pager Paging Function Malformed Javascript DoS
Remote / Network Access Denial of Service
Loss of Availability
Exploit Public

- 漏洞描述

- 时间线

2001-06-02 Unknow
2001-06-02 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

O'Reilly WebBoard Pager Hostile JavaScript Vulnerability
Input Validation Error 2814
Yes No
2001-06-02 12:00:00 2009-07-11 06:06:00
Reported to bugtraq by "Helmuth Antholzer" <helli@dnet.it> on June 2, 2001

- 受影响的程序版本

OReilly Software WebBoard 4.10.30
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0 SP4
OReilly Software WebBoard 4.2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0

- 不受影响的程序版本

OReilly Software WebBoard 4.2
- Microsoft Windows 2000 Professional SP1
- Microsoft Windows 2000 Professional
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0

- 漏洞讨论

O'Reilly WebBoard is a conferencing utility, forum, threaded discussion and real-time chat server.

Versions of WebBoard are vulnerable to a JavaScript code execution bug which may allow a remote denial of service against a target WebBoard user's system.

An attacker can compose a message in WebBoard's interactive messaging (paging) function, containing certain escape characters and JavaScript commands, and send the page to a target user. Upon receiving the message, the target client will improperly execute the JavaScript embedded in the page, which could result in the appearance of multiple message windows.

WebBoard is no longer supported by O'Reilly, it is currently maintained by ChatSpace, Inc.

- 漏洞利用

An example of malicious javascript:

\');for(i=0;i&lt;100000;i++) alert("not nice"); /

- 解决方案

WebBoard is no longer supported by O'Reilly, it is currently maintained by ChatSpace, Inc.

ChatSpace has released version 4.2 which is not vulnerable to this issue:


OReilly Software WebBoard 4.10.30

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站